Thread Rating:
  • 0 Vote(s) - 0 Average
Dependencies not met
#1
Hello,

I'm having trouble installing the Simplicity theme from within XBMC. I get an error message "Dependencies not met", but I can not find these dependencies. Can anyone help me here?

System: Ubuntu 11.10
XBMC version: 11.0 RC2

Reply
#2
(2012-03-19, 22:16)rilorolo Wrote: Hello,

I'm having trouble installing the Simplicity theme from within XBMC. I get an error message "Dependencies not met", but I can not find these dependencies. Can anyone help me here?

System: Ubuntu 11.10
XBMC version: 11.0 RC2
I have the same problem on Windows 7 x64. Coming from a Boxee Box, I'd really like to use Simplicity/Shade. Any ideas?
Reply
#3
The debug log will tell you what the deps are that are missing (in case you don't pick it up from the notification).
Always read the XBMC online-manual, FAQ and search the forum before posting.
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting please make sure you read this first.


Image
Reply
#4
(2012-03-20, 10:34)jmarshall Wrote: The debug log will tell you what the deps are that are missing (in case you don't pick it up from the notification).
Ahh, Xeebo left that part out. Thanks, I'll enable the debug and have a look after work.
Reply
#5
(2012-03-20, 10:34)jmarshall Wrote: The debug log will tell you what the deps are that are missing (in case you don't pick it up from the notification).

Debug log?

Noob, sorry Undecided
Reply
#6
(2012-03-20, 11:12)rilorolo Wrote:
(2012-03-20, 10:34)jmarshall Wrote: The debug log will tell you what the deps are that are missing (in case you don't pick it up from the notification).

Debug log?

Noob, sorry Undecided
Go to Settings > System > Debugging and enable the log. Have a look here, it tells you more about it and how you get the log.
Reply
#7
(2012-03-20, 10:03)SeeK Wrote:
(2012-03-19, 22:16)rilorolo Wrote: Hello,

I'm having trouble installing the Simplicity theme from within XBMC. I get an error message "Dependencies not met", but I can not find these dependencies. Can anyone help me here?

System: Ubuntu 11.10
XBMC version: 11.0 RC2
I have the same problem on Windows 7 x64. Coming from a Boxee Box, I'd really like to use Simplicity/Shade. Any ideas?

Reply
#8
(2012-03-20, 11:38)SeeK Wrote:
(2012-03-20, 11:12)rilorolo Wrote:
(2012-03-20, 10:34)jmarshall Wrote: The debug log will tell you what the deps are that are missing (in case you don't pick it up from the notification).

Debug log?

Noob, sorry Undecided
Go to Settings > System > Debugging and enable the log. Have a look here, it tells you more about it and how you get the log.

There is nothing in the log about the dependencies not met Confused

In XBMC i go to 'add-ons' --> 'Get Add-ons' --> 'XBMC.org Add-ons' --> ' Skin'
And there it states that the Simplicity skin is 'Broken'
If I click it, there's a message 'This add-on has been marked as broken in the repository'

And there is nothing in the log....
Reply
#9
(2012-03-20, 20:34)rilorolo Wrote:
(2012-03-20, 11:38)SeeK Wrote:
(2012-03-20, 11:12)rilorolo Wrote: Debug log?

Noob, sorry Undecided
Go to Settings > System > Debugging and enable the log. Have a look here, it tells you more about it and how you get the log.

Thers is nothing in the log about the dependencies not met Confused

In XBMC i go to 'add-ons' --> 'Get Add-ons' --> 'XBMC.org Add-ons' --> ' Skin'
And there it states that the Simplicity skin is 'Broken'
If I click it, there's a message 'This add-on has been marked as broken in the repository'

And there is nothing in the log....

logo-downloader is the culprit

hmm and why did that get into Eden repo Confused
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#10
I just wanted to post that too indeed. I downloaded the skin, extracted and created a zip and tried to load it into XBMC. Then the log stated I was missing script.logo-downloader version 2.0.

When I did a search on that logo downloader I fount out is was deprecated
http://forum.xbmc.org/showthread.php?tid=74912

But you can still download it from:
http://www.mediafire.com/?qoepsah8wh1r0x5

Don't know if that's the way to go....

[EDIT]
It's not. It doesn't work.
Reply
#11
hello there
i am getting the same error message.

is anyone working on this problem?
am i the only one who is missing this awesome skin?

i would love to help out, but unfortunately i am no coder....


please somebody help revive this skin.
thx
Reply
#12
Please fix this Sad
Reply
#13
reFocus uses the logo downloader and works. Why is it a problem for Simplicity?
Reply
#14
reFocus does not use logo-downloader but artwork downloader.
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#15
Hi,

A few days ago I began getting the "Dependencies Not Met" error and almost all my add-ons are showing "broken".

After reading around on the forum, I enabled log and, sure enough, the error often appearing in log is :

14:44:35 T:2954216544 DEBUG: Addon script.common.plugin.cache requires xbmc.python version 2.1.0 which is not available


Ok...seems that xbmc.python V 2.1.0 is missing...now what ?

Can it bee repaired using only webinterface ? (I will explain why)

I am using a Raspberry Pi
Reply



Dependencies not met00